require 'test_helper'

class NavigationTest < ActionDispatch::IntegrationTest
  test 'can access moment-timezonejs' do
    get '/assets/moment-timezone.js'
    assert_response :success
  end

  test 'moment-timezonejs response is for the expected version' do
    get 'assets/moment-timezone.js'
    assert_match(/VERSION = "0\.0\.6"/, @response.body)
  end

  test 'can access moment-timezone-data' do
    get '/assets/moment-timezone-data/links.js'
    assert_response :success
    get '/assets/moment-timezone-data/meta.js'
    assert_response :success
    get '/assets/moment-timezone-data/rules-since-2000.js'
    assert_response :success
    get '/assets/moment-timezone-data/rules.js'
    assert_response :success
    get '/assets/moment-timezone-data/zones.js'
    assert_response :success
  end
end